class RubygemsProjectSetting < ActiveRecord::Base
  belongs_to :project

  def self.find_or_create(pj_id)
    setting = RubygemsProjectSetting.find(:first, :conditions => ['project_id = ?', pj_id])
    unless setting
      setting = RubygemsProjectSetting.new
      setting.gemdir_path = Setting.plugin_redmine_gems['gemdir_path']
      setting.export_path = Setting.plugin_redmine_gems['export_path']
      if Setting.plugin_redmine_gems['annonce_enabled'].nil? then
        setting.annonce_enabled = 0
      else
        setting.annonce_enabled = 1
      end
      setting.project_id = pj_id
      setting.save!      
    end
    return setting
  end
end
