class CreateRubygemsProjectSettings < ActiveRecord::Migration
  def self.up
    create_table :rubygems_project_settings do |t|
      t.column :project_id, :integer
      t.column :created_at, :timestamp
      t.column :updated_at, :timestamp
      t.column :gemdir_path, :string, :default => '/tmp/gemdir', :null => false
      t.column :export_path, :string, :default => '/tmp/export', :null => false
      t.column :annonce_enabled, :integer, :default => 1, :null => false
      t.column :local_deployment_enabled, :integer, :default => 0, :null => false
      t.column :gemdir_deployment_enabled, :integer, :default => 0, :null => false
      t.column :gemcutter_deployment_enabled, :integer, :default => 0, :null => false
    end
  end

  def self.down
    drop_table :rubygems_project_settings
  end
end
